# Romania

## Required fields

| Field                  | Format                                                                                                                               | Description                                                                                |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                               | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                               | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                             | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/specifications/countries-specifications.md#documents-validations)                                        | Beneficiary's document ID                                                                  |
| `country`              | `ID`                                                                                                                                 | See [country codes](/specifications/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `IDR` / `USD`                                                                                                                        | See [currency codes](/specifications/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                         | Cashout amount                                                                             |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/asian-countries/indonesia.md#bank-account-validations) | Beneficiary's bank account                                                                 |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/asian-countries/indonesia.md#bank-codes)                      | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                                                             | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                             | Beneficiary's last name                                                                    |

## Bank Account Validations

| Bank name | Bank code | Format  | Example               |
| --------- | :-------: | ------- | --------------------- |
| All       |     -     | Numeric | 123456789, 9283749293 |

## Document Validations

[Click here](/specifications/countries-specifications.md#documents-validations) to check document types and validations.

## Bank Codes

| BankName                                                            | Code |
| ------------------------------------------------------------------- | ---- |
| A1 TELECOM NETWORK ISP SRL                                          | 1    |
| AEDIFICIUM BANCA PENTRU LOCUINTE S.A.                               | 2    |
| ALIOR BANK SA WARSAW BUCHAREST BRANCH                               | 3    |
| ALPHA BANK ROMANIA SA                                               | 4    |
| BANCA CENTRALA COOPERATISTA CREDITCOOP                              | 5    |
| BANCA COMERCIALA ROMANA S.A                                         | 6    |
| BANCA ROMANA DE CREDITE SI INVESTITII S.A.                          | 7    |
| BANCA ROMANEASCA S.A.                                               | 8    |
| BANCA TRANSILVANIA S.A.                                             | 9    |
| BANK OF CHINA (CENTRAL AND EASTERN EUROPE) LIMITED BUCHAREST BRANCH | 10   |
| BANQUE BANORIENT FRANCE                                             | 11   |
| BCR BANCA PENTRU LOCUINTE S.A.                                      | 12   |
| BNP PARIBAS PERSONAL FINANCE S.A. PARIS SUCURSALA BUCURESTI         | 13   |
| BNP PARIBAS S.A. PARIS SUCURSALA BUCURESTI                          | 14   |
| BRD - GROUPE SOCIETE GENERALE SA                                    | 15   |
| CAPITAL FINANCIAL SERVICES SA                                       | 16   |
| CEC BANK-S.A.                                                       | 17   |
| CITIBANK EUROPE PLC, DUBLIN-SUCURSALA ROMANIA                       | 18   |
| CREDIT AGRICOLE BANK ROMANIA S.A.                                   | 19   |
| CREDIT EUROPE BANK (ROMANIA) S.A.                                   | 20   |
| DEPOZITARUL CENTRAL S.A.                                            | 21   |
| EXIMBANK OF ROMANIA                                                 | 22   |
| FINANCE ONE IFN S.A.                                                | 23   |
| FIRST BANK                                                          | 24   |
| GARANTI BANK S.A.                                                   | 25   |
| IDEA BANK SA                                                        | 26   |
| ING BANK N.V., BUCHAREST BRANCH                                     | 27   |
| INTESA SANPAOLO ROMANIA S.A.                                        | 28   |
| KMG ROMPETROL                                                       | 29   |
| LIBRA BANK S.A.                                                     | 30   |
| MINISTRY OF PUBLIC FINANCE                                          | 31   |
| NATIONAL BANK OF ROMANIA                                            | 32   |
| NATIONAL BANK OF ROMANIA - REGIS                                    | 33   |
| NATIONAL BANK OF ROMANIA - SAFIR                                    | 34   |
| OMV PETROM SA                                                       | 35   |
| OTP BANK ROMANIA S.A.                                               | 36   |
| PATRIA BANK S.A.                                                    | 37   |
| PORSCHE BANK ROMANIA SA                                             | 38   |
| PROCREDIT BANK S.A.                                                 | 39   |
| RAIFFEISEN BANK S.A.                                                | 40   |
| SUPERBET                                                            | 41   |
| TBI BANK EAD SOFIA BUCHAREST BRANCH                                 | 42   |
| TECHVENTURES BANK SA                                                | 43   |
| TRANSFER RAPID ELECTRONIC                                           | 44   |
| TRANSFOND S.A.                                                      | 45   |
| UNICREDIT BANK SA                                                   | 46   |
| UNIFIEDPOST PAYMENTS LA HULPE SUCURSALA TIMISOARA                   | 47   |
| VISTA BANK (ROMANIA) S.A.                                           | 48   |
| VIVA PAYMENT SERVICES S.A SUCURSALA BUCURESTI                       | 49   |
| PIRAEUS                                                             | 50   |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/european-countries/romania.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
